%define upstream_name    Color-Scheme
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate pleasant color schemes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.140.0
BuildRequires: perl(POSIX) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a Perl implementation of Color Schemes 2 (the
http://wellstyled.com/tools/colorscheme2/ manpage), a color scheme
generator. Start by visitng the Color Schemes 2 web site and playing with
the colors. When you want to generate those schemes on the fly, begin using
this modoule. The descriptions herein don't make too much sense without
actually seeing the colorful results.

Henceforth, paragraphs in quotes denote documentation copied from Color
Schemes 2.

"Important note: This tool _doesn't use the standard HSV or HSB model_ (the
same HSV/HSB values ie. in Photoshop describe different colors!). The color
wheel used here differs from the RGB spectre used on computer screens, it's
more in accordance with the classical color theory. This is also why some
colors (especially shades of blue) make less bright shades than the basic
colors of the RGB-model. In plus, the RGB-model uses red-green-blue as
primary colors, but the red-yellow-blue combination is used here. This
deformation also causes incompatibility in color conversions from
RGB-values. Therefore, the RGB input (eg. the HTML hex values like #F854A9)
is not exact, the conversion is rough and sometimes may produce slightly
different color."

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-5.mga8
+ Revision: 1493562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.70.0-4.mga7
+ Revision: 1266573
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.70.0-3.mga6
+ Revision: 1024266
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.70.0-2.mga6
+ Revision: 966214
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.70.0-1.mga6
+ Revision: 843060
- update to 1.07

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 744134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 683959
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 1.60.0-1.mga5
+ Revision: 593413
- update to 1.06

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 529114
- Mageia 4 Mass Rebuild

* Thu Jul 04 2013 shlomif <shlomif> 1.50.0-1.mga4
+ Revision: 450207
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 364535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 1.40.0-1.mga3
+ Revision: 338044
- update to 1.04

* Fri Oct 12 2012 shlomif <shlomif> 1.30.0-1.mga3
+ Revision: 304761
- imported package perl-Color-Scheme


* Fri Oct 12 2012 cpan2dist 1.03-1mga
- initial mageia release, generated with cpan2dist
